com.hazelcast.memory

## Class MemoryStatsSupport

- java.lang.Object
- - com.hazelcast.memory.MemoryStatsSupport

-     public final class MemoryStatsSupport
      extends Object

  This class provides heap usage statistics

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `freePhysicalMemory()` Returns the amount of physical memory that is available on the system in bytes or -1 if not available.
    `static long` | `freeSwapSpace()` Returns the amount of free swap space in bytes or -1 if not available.
    `static long` | `totalPhysicalMemory()` Returns the total available physical memory on the system in bytes or -1 if not available.
    `static long` | `totalSwapSpace()` Returns the total amount of swap space in bytes or -1 if not available.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### totalPhysicalMemory

          public static long totalPhysicalMemory()

      Returns the total available physical memory on the system in bytes or -1 if not available.
      Returns:
        physical memory in bytes or -1 if not available

    - #### freePhysicalMemory

          public static long freePhysicalMemory()

      Returns the amount of physical memory that is available on the system in bytes or -1 if not available.
      Returns:
        free physical memory in bytes or -1 if not available

    - #### totalSwapSpace

          public static long totalSwapSpace()

      Returns the total amount of swap space in bytes or -1 if not available.
      Returns:
        total amount of swap space in bytes or -1 if not available

    - #### freeSwapSpace

          public static long freeSwapSpace()

      Returns the amount of free swap space in bytes or -1 if not available.
      Returns:
        amount of free swap space in bytes or -1 if not available

Copyright © 2018. All rights reserved.